commit:     60f71d66d6a3ec9e7a71de068fc1ebdd38597834
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 10:51:57 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 13 10:51:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60f71d66

dev-python/decorator: Use PEP517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/decorator/decorator-5.1.1-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-python/decorator/decorator-5.1.1-r1.ebuild 
b/dev-python/decorator/decorator-5.1.1-r1.ebuild
new file mode 100644
index 000000000000..ad25035acded
--- /dev/null
+++ b/dev-python/decorator/decorator-5.1.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="
+       https://github.com/micheles/decorator/
+       https://pypi.org/project/decorator/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DOCS=( CHANGES.md )
+
+python_test() {
+       "${EPYTHON}" src/tests/test.py -v || die "Tests failed with ${EPYTHON}"
+}

Reply via email to